org.apache.tomcat.util.modeler.modules

## Interface MbeansSourceMBean

- All Known Implementing Classes:
    MbeansSource

  Deprecated.
  Unused: Will be removed in Tomcat 8.0.x

      @Deprecated
      public interface MbeansSourceMBean

  This mbean will load an extended mlet file ( similar in syntax with jboss ). It'll keep track of all attribute changes and update the file when attributes change.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ObjectName>` | `getMBeans()` Deprecated. Return the list of loaded mbeans names
    `Object` | `getSource()` Deprecated.
    `void` | `init()` Deprecated. Call the init method on all mbeans.
    `void` | `load()` Deprecated. Load the mbeans from the source.
    `void` | `save()` Deprecated. Save the file.
    `void` | `setSource(Object source)` Deprecated. Set the source to be used to load the mbeans

- - ### Method Detail

    - #### setSource

          void setSource(Object source)

      Deprecated.
      Set the source to be used to load the mbeans
      Parameters:
        `source` - File or URL

    - #### getSource

          Object getSource()

      Deprecated.

    - #### getMBeans

          List<ObjectName> getMBeans()

      Deprecated.
      Return the list of loaded mbeans names
      Returns:
        List of ObjectName

    - #### load

          void load()
                    throws Exception

      Deprecated.
      Load the mbeans from the source. Called automatically on init()
      Throws:
        `Exception`

    - #### init

          void init()
                    throws Exception

      Deprecated.
      Call the init method on all mbeans. Will call load if not done already
      Throws:
        `Exception`

    - #### save

          void save()

      Deprecated.
      Save the file.

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.